> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Jobs Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/applications/{application_id}/jobs
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/applications/{application_id}/jobs:
    get:
      tags:
        - Applications API
      summary: Get Application Jobs Api Endpoint
      operationId: >-
        get_application_jobs_api_endpoint_api_v1_org_applications__application_id__jobs_get
      parameters:
        - in: path
          name: application_id
          required: true
          schema:
            title: Application Id
            type: string
        - in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformResourceJobsResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PlatformResourceJobsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PlatformResourceJob'
          title: Items
          type: array
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        total:
          title: Total
          type: integer
        total_pages:
          title: Total Pages
          type: integer
      required:
        - items
        - total
        - page
        - page_size
        - total_pages
      title: PlatformResourceJobsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PlatformResourceJob:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        job_id:
          title: Job Id
          type: string
        name:
          title: Name
          type: string
        operation_id:
          title: Operation Id
          type: string
        operation_name:
          title: Operation Name
          type: string
        operation_status:
          title: Operation Status
          type: string
        operation_type:
          title: Operation Type
          type: string
        result:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Result
        scheduler_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Scheduler Name
        start_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Start At
        status:
          title: Status
          type: string
        stop_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Stop At
        timeout:
          title: Timeout
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - job_id
        - name
        - status
        - operation_id
        - operation_name
        - operation_status
        - operation_type
        - created_at
        - updated_at
        - timeout
      title: PlatformResourceJob
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````